<?php

if ( !defined('INC_FILE_IHM_PERSONNE') ) {
      define ('INC_FILE_IHM_PERSONNE',1);

include(PATH_BO.'personne.php');


class IHMPersonne
{

  function show( &$mdb2,&$personne )
  {
      $srcImg=PATH_IMAGES_TROMBINES.$personne->photo;
      printf("
      <img class=\"portrait\" src=\"%s\" alt=\"Photo de $personne->prenom\"/>
      <table>",$srcImg);
      affAffInfo('<h1>Identité</h1>','');
      affAffInfo('Nom',$personne->nom);
      affAffInfo('Prénom',$personne->prenom);
      if ($personne->email<>"") {
        affAffInfo('Email',"<a href=\"mailto:$personne->email\">$personne->email</a>");
      } else {
        affAffInfo('Email','');
      }
      //affAffInfo('<h1>Droits sur ce site</h1>',int2Droits($personne->droits));
      affAffInfo('<h1>Droits sur ce site</h1>','');
      affAffInfo('',int2Droits($personne->droits));
      mysql_free_result($entreprises);
      printf("\n    </table>");
  }

  function affLogin(&$personne)
  {
    //affModifInfo('Login','Login',$personne->login);
    printf("\n\t<tr><td>Login</td><td>
    <input type=\"text\" name=\"".FORM_PER_LOGIN."\" value=\"".$personne->login."\" size=\"12\"  maxlength=\"12\"
    onKeyUp=\"NoSpace(this)\" onChange=\"NoSpace(this)\" onblur=\"NoSpace(this)\" /></td></tr>");
    printf("
      <tr><td colspan=\"2\">Votre mot de passe ne doit pas ressembler à votre nom, prénom,
      ou tout autre mot que quelqu'un vous connaissant pourait trouver (animal préféré, etc.).
      Utilisez des lettres et des chiffres et un des caractères _-</td>
      <tr><td>Mot de passe</td>
      <td><input type=\"password\" name=\"".FORM_PER_MDP1."\" value=\"".$personne->motDePasse."\"
      onKeyUp=\"NoSpace(this)\" onChange=\"NoSpace(this)\" onblur=\"NoSpace(this)\" /></td></tr>
      <tr><td>Confirmation mot de passe</td>
      <td><input type=\"password\" name=\"".FORM_PER_MDP2."\" value=\"".$personne->motDePasse."\" /></td></tr>
    ");
  }

  function affDroits($droits)
  {
    $strConsu='';
    $strModif='';
    $strAucun='';
    if ($droits==DROITS_MODIF) {
      $strModif="checked=\"checked\"";
    } else if ($droits==DROITS_CONSULT) {
      $strConsu="checked=\"checked\"";
    } else {
      $strAucun="checked=\"checked\"";
    }
    $str ="\n\t  <input type=\"radio\" name=\"".FORM_PER_DROITS."\" value=\"".DROITS_AUCUN."\" $strAucun />Aucun<br />";
    $str.="\n\t  <input type=\"radio\" name=\"".FORM_PER_DROITS."\" value=\"".DROITS_CONSULT."\" $strConsu />Consultation<br />";
    $str.="\n\t  <input type=\"radio\" name=\"".FORM_PER_DROITS."\" value=\"".DROITS_MODIF."\" $strModif />Modification";
    return $str;
  }
	
  function showList(&$tab, $ordreCol, $ordreSens)
  {
    if ($ordreCol=='') {
      $ordreCol=FORM_PER_NOM;
    }
    if ($ordreSens=="ASC") {
      $ordreSens="DESC";
      $imgOrdre=PATH_IMAGES_DIVERS."fleche17.gif";
    } else {
      $ordreSens="ASC";
      $imgOrdre=PATH_IMAGES_DIVERS."fleche16.gif";
    }
    printf("\n<div class=\"snpiet-liste\">\n");
    $srcImgTelMob=PATH_IMAGES_DIVERS.'telephone-gif-001.gif';
    $srcImgTelDom=PATH_IMAGES_DIVERS.'phone_JNI2.gif';
    $srcImgPhoto=PATH_IMAGES_BANNIERES.'Personnes/divers_065.GIF';
    printf("
    <table summary=\"Membres du SNPIET\">
    <caption>Liste des ".count($tab)." membres enregistrés sur le site du SNPIET</caption>
    <th><img class=\"imagette\" src=\"$srcImgPhoto\" /></th>
    <th><a href=\"".FILE_PERSONNES."?OrdreCol=prenom&OrdreSens=$ordreSens\"><img src=\"$imgOrdre\" alt=\"fleche\"/>Pr&eacute;nom</a></th>
    <th><a href=\"".FILE_PERSONNES."?OrdreCol=nom&OrdreSens=$ordreSens\"><img src=\"$imgOrdre\" alt=\"fleche\"/>Nom</a></th>
    <th><img class=\"imagette\" src=\"$srcImgTelMob\" />Mobile</th>
    <th><img class=\"imagette\" src=\"$srcImgTelDom\" />Professionnel</th>
    <th><img src=\"".PATH_IMAGES."EMail/email-24.gif\" alt=\"@\"/>e-mail</th>");
    //if ($_SESSION["userDroits"]==DROITS_MODIF) {
    //  printf("<th><input type=\"submit\" value=\"Supprimer\" /></th>");
    //}
    $colorFondAdd=0;
    foreach ($tab as $personne) {
      $dateNaissance=MySQLDateToExplicitDate($personne->dateNaissance);
      $srcImg=PATH_IMAGES_TROMBINES.$personne->photo;
      $colorFondAdd=1-$colorFondAdd;
      printf("\n<tr class=\"ligne$colorFondAdd\">");
      //printf("<td><a href=\"Personne.php?id=$personne->id\"><img class=\"imagette\" src=\"$srcImg\" alt=\"Photo de $personne->prenom\"/></a></td>");
      printf("<td><img class=\"imagette\" src=\"$srcImg\" alt=\"Photo de $personne->prenom\"/></td>
        <td><a href=\"Personne.php?id=$personne->id\">$personne->prenom</a></td>
        <td><a href=\"Personne.php?id=$personne->id\">$personne->nom</a></td>
        <td>$personne->telMobile</td>
        <td>$personne->telDomicile</td>");
      if ($personne->email<>'') {
        printf("  <td><a href=\"mailto:$personne->email\">$personne->email</a></td>");
      }
      else {
        printf("  <td>$personne->email</td>");
      }
      //if ($_SESSION["userDroits"]==DROITS_MODIF) {
      //  printf("<td><input type= \"checkbox\" name=\"supprimer\" value=\"$data->id\"/></td>");
      //}
      printf("</tr>");
    }
    printf("</table>
    </div>");
    if ($_SESSION[SESS_USER_DROITS]==DROITS_MODIF) {
      printf("</form>
      <form method=\"post\" action=\"".FILE_PERSONNE_MODIF."?id=-1\">
      <input type=\"submit\" value=\"Ajouter une personne\" />
      </form>");
    }
  }

} // class

} // ifndef
?>
